<!DOCTYPE html>
<html lang="en">
<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Chandrani Pearls Gold Billing</title>
  <link rel="icon" type="image/jpg" href="dist/img/favicon.png?v=2">
  <!-- Google Font: Source Sans Pro -->
  <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">

    <!-- -=---- searchable dropdown link css ------ -->
  <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
   <!-- -=---- searchable dropdown link css ------ -->

  
  <!-- DataTables -->
  <link rel="stylesheet" href="plugins/datatables-bs4/css/dataTables.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-responsive/css/responsive.bootstrap4.min.css">
  <link rel="stylesheet" href="plugins/datatables-buttons/css/buttons.bootstrap4.min.css">
  <!-- Theme style -->
  <link rel="stylesheet" href="dist/css/adminlte.min.css">
	<link rel="stylesheet" href="dist/css/custom.css?v=2">
	<style>
	    label {
    display: inline-block;
    margin-bottom: 0rem;
}

.text-primary{
    color:#0a6abb !important;
}

button:focus{

outline: none;

}

	</style>
	
 <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>	
	
<script>
function Check_Stn()
{
	var dealer=$('#dealer').val();
	var Indent_No=$('#Indent_No').val();
	
       //alert(1);

	    $.ajax({
		url:'check-stn.php',
		type:'POST',
		data: 'Indent_No=' + Indent_No +'&dealer='+dealer,
		success:function(f)
		{
		  //alert(f);

		   if(f!='')
		   {
			  /*var r = confirm("A temp stn is already pending for this dealer. Are you sure to continue with new stn");
			  if (r == true) {
			     add_catagory()
			  } else {
			  
				window.location.href='create-stn.php?Order_No='+f;	
			  }*/
			  
				 
				 Swal.fire({
                title: 'Are you sure?',
                text: 'A temp STN is already pending for this dealer. Do you want to continue with a new STN?',
                icon: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, continue',
                cancelButtonText: 'No, cancel',
                toast: false, // Toast is not ideal for confirmations
                position: 'center',
				}).then((result) => {
					if (result.isConfirmed) {
						//console.log('User confirmed to continue.');
						// Add your logic for confirmation here
						
						add_catagory();
						
					} else {
						//console.log('User canceled.');
						// Add your logic for cancellation here
						window.location.href='create-stn.php?Order_No='+f;	
					}
				});
			  
			  
			  
			}
			else
		   {
		   
		       add_catagory()
		   }
		
			
		}
	  })
}
</script>

<script>
function add_catagory()
{
	var dealer=$('#dealer').val();
	var Indent_No=$('#Indent_No').val();
	
	 if(document.getElementById('Con_Stn').checked==true)
		   {
		   var Consignment_Stn=1;
		   } 
		   else
		   {
		   var Consignment_Stn=0;
		    
		   }

	$.ajax({
		url:'generate-new-indent-no.php',
		type:'POST',
		data: 'Indent_No=' + Indent_No +'&dealer='+dealer+'&Consignment_Stn='+Consignment_Stn,
		success:function(f)
		{
		  // alert(f);
		
		  window.location.href='create-stn.php?Order_No='+f;	
			
		}
	  })
}
</script>	


<script>
 function Print() 
	  { 
	  // alert(1);  
	  var divToPrint = document.getElementById('printdiv');              
	  
	  var popupWin = window.open('', '_blank');      
	  
	  popupWin.document.open();
	  
	  popupWin.document.write('<html><body onload="window.print()">' + divToPrint.innerHTML + '</html>');
	  
	  popupWin.document.close();
	  }  

</script> 

</head>
	


<body class="hold-transition sidebar-mini" onload="get_data()">
	
<div class="wrapper">




  <!-- Navbar -->
    <?php include ("topheader.php"); ?>
  <!-- Main Sidebar Container -->
    <?php include ("sidemenu.php"); ?>








  <!-- Content Wrapper. Contains page content -->
  <div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
 
        <div class="container-fluid">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h3>GRN Details</h3>
                </div>
                <div class="col-sm-6">
                    
                </div>
            </div>
        </div>
    </section>
    <!-- Main content -->
    <section class="content">
      <div class="container-fluid">
        <div class="row">
          <div class="col-12">
            
            <!-- /.card -->
            <div class="card">
            
              
              <!-- /.card-header -->
			  
	
			  
              <div class="card-body">

<?php
$Challan=base64_decode($_REQUEST['chno']);
$cond=" Challan_No='".$Challan."'";
$Get_Dealer_Code=$Mainclass->Fetch_individual_data('gold_challan_master','Dealer_Code,Consignment_Stn',$cond);
if($_REQUEST['from-date']!='')
{
$From_Date=date('Y-m-d',strtotime($_REQUEST['from-date']));	
}
else
{
$From_Date=date('Y-m-d');
}
if($_REQUEST['to-date']!='')
{
$To_Date=date('Y-m-d',strtotime($_REQUEST['to-date']));	
}
else
{
$To_Date=date('Y-m-d');
}

$Condition_Dealer=" Order_Code='".$Get_Dealer_Code['Dealer_Code']."'";
$Get_Dealer_Info=$Mainclass->Fetch_individual_data('dealer_master','*',$Condition_Dealer);//dealer data//

?>




<div class="row">
    
<!-- ############# Print Section ################-->
	<table width="1000" border="0" cellspacing="0" cellpadding="0" align="center" style="margin-top:20px;">
   <tr><td><input name="save_submit" type="button" class="btn btn-primary m-b-0" value="PRINT" style="float:right; padding: 3px 14px; font-size:13px; margin-right: 80px" onClick="Print()"></td></tr> 
</table>
<table width="1000" border="0" cellspacing="0" cellpadding="0" align="center"  id="printdiv">
   <tr><td><table width="300" border="0" cellspacing="0" cellpadding="0" align="center"> 
  <tr>
    <td> <img src="dist/img/logo-web.png" width="100%"></td>
  </tr>
</table> </td></tr>
<tr><td  style="color:#333; font-size:15px; font-weight: 700; font-family:Arial, Helvetica, sans-serif; padding-bottom:5px; text-align:center;">Dealership Name: <?php echo $Get_Dealer_Info['Dealer_Name'];?></td></tr>
<tr><td style="color:#333; font-size:15px; font-weight: 700; font-family:Arial, Helvetica, sans-serif; padding-bottom:5px; text-align:center;"><?php if($Get_Dealer_Code['Consignment_Stn']=='1'){echo "CONSIGNMENT ";}?>GRN DETAILS </td></tr>
<tr><td>
    
 <table width="1000" border="1" cellspacing="0" cellpadding="0" align="center" bordercolor="#d6dde1" style="border-collapse:collapse">
  <tr>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Challan No</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">GRN No</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Category</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Product Code</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Quantity</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Total MRP</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Total Cost Price</td>
    <!--<td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">B.Disc/Anv.Disc</td>
    
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Advance</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Ret. Adj</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Ord. Adj</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Gift Amt</td>
    
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Net Value</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">CGST</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">SGST</td>
    
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Round Off</td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:11px; font-weight:600; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;">Bill Amt</td>-->
    
 
  </tr>
 <?php
//$condition="Dealer_Code='".$Dealer."' and Challan_No='".$Challan."'";
//$Challan=base64_decode($_REQUEST['chno']);
$condition="Challan_No='".$Challan."'";
$condition.=" order by Product_Code asc";
$Get_Challan=$Mainclass->Fetch_multiple_data('gold_challan_details','*',$condition);
if($Get_Challan>0)
{	
$i=1;
$TotlQty=0;
$TotalMRP=0;
$TotalCostPrice=0;

foreach($Get_Challan as $ChallanInfoDtl)
	{
	//$Condition="Dealer_Code='".$Dealer."' and Challan_No='".$Challan."'";
	//$Get_Customer_Details=$Mainclass->Challan_Details('dealer_challan_master',$Condition);//customer data//
	$Condition1=" Order_Code='".$ChallanInfoDtl['Dealer_Code']."'";
	$Dealer_Details=$Mainclass->Fetch_individual_data('dealer_master','*',$Condition1);	

	
     $FetchCatCon=" SLN= '".$ChallanInfoDtl['Category_Code']."'";
     $Field_Needed="Category";
     $Categeory=$Mainclass->Fetch_individual_data('gold_product_category_master',$Field_Needed,$FetchCatCon);
?>
  <tr>
    <td style="padding: .5rem .2rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;"><?php echo $ChallanInfoDtl['Challan_No'];?></td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;"><?php echo $ChallanInfoDtl['GRN_NO'];?></td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;"><?php echo $Categeory['Category'];?></td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;"><?php echo $ChallanInfoDtl['Product_Code'];?></td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;"><?php echo $ChallanInfoDtl['Quantity'];?></td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;"><?php echo number_format($ChallanInfoDtl['Total_MRP'],2);?></td>
    <td style="padding: .5rem .2rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;"><?php echo number_format($ChallanInfoDtl['Total_Cost_Price'],2);?></td>

    
   
  </tr>
  <?php
        $TotlQty=$TotlQty+$ChallanInfoDtl['Quantity'];
		$TotalMRP=$TotalMRP+$ChallanInfoDtl['Total_MRP'];
		$TotalCostPrice=$TotalCostPrice+$ChallanInfoDtl['Total_Cost_Price'];
		}
		?>
	<tr>
    <td style="padding: .5rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;" colspan="4"><b>Total</b></td>
  
    <td style="padding: .5rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;"><?php echo $TotlQty; ?></td>
   <td style="padding: .5rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;"><?php echo number_format(round($TotalMRP,2),2);?></td>
   <td style="padding: .5rem; text-align:left; font-size:10px; font-family:Arial, Helvetica, sans-serif; color:#333; backbround-color:#fff;"><?php echo number_format(round($TotalCostPrice,2),2);?></td>
   
    </tr>
		<?php
	}
	else
	{
	?>
    <tr><td colspan="18" style="text-align:center; font-weight:bold; color:#F00;">No Records Found.</td></tr>
    <?php	
	}
	?>

</table>   
    
    
    
    
</td></tr>
</table>


</div>

<div class="row">

<div class="col-12">
<div class="form-group d-flex align-items-center justify-content-start" style="gap:30px;">
<div class="" role="alert" id="con-alrt" style="color: #e85c5c;text-align: center;font-size: 15px;display: none;">* Please provide information in all the required fields</div>
</div>
</div>


</div>







</div>











             
	




              <!-- /.card-body -->

            </div>
            <!-- /.card -->
          </div>
          <!-- /.col -->
        </div>
        <!-- /.row -->
      </div>
      <!-- /.container-fluid -->
    </section>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->


    <?php include ("footer.php"); ?>

  <!-- Control Sidebar -->
  <aside class="control-sidebar control-sidebar-dark">
    <!-- Control sidebar content goes here -->


  </aside>
  <!-- /.control-sidebar -->
</div>




<!-- ./wrapper -->
<!-- jQuery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<!-- Bootstrap 4 -->
<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
<!-- DataTables  & Plugins -->
<script src="plugins/datatables/jquery.dataTables.min.js"></script>
<script src="plugins/datatables-bs4/js/dataTables.bootstrap4.min.js"></script>
<script src="plugins/datatables-responsive/js/dataTables.responsive.min.js"></script>
<script src="plugins/datatables-responsive/js/responsive.bootstrap4.min.js"></script>
<script src="plugins/datatables-buttons/js/dataTables.buttons.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.bootstrap4.min.js"></script>
<script src="plugins/jszip/jszip.min.js"></script>
<script src="plugins/pdfmake/pdfmake.min.js"></script>
<script src="plugins/pdfmake/vfs_fonts.js"></script>
<script src="plugins/datatables-buttons/js/buttons.html5.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.print.min.js"></script>
<script src="plugins/datatables-buttons/js/buttons.colVis.min.js"></script>
<!-- AdminLTE App -->
<script src="dist/js/adminlte.min.js"></script>
<!-- AdminLTE for demo purposes -->
<script src="dist/js/demo.js"></script>
<!-- Page specific script -->
<script>
  $(function () {
    $("#example1").DataTable({
      "responsive": true, "lengthChange": false, "autoWidth": false,
     // "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
      "paging": true,
      "lengthChange": false,
      "searching": false,
      "ordering": true,
      "info": true,
      "autoWidth": false,
      "responsive": true,
    });
  });
</script>





<script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.7.1/jquery.min.js" ></script>

  
<script type="text/javascript">


function form_valid(){


var p_cate = $('#p_cate').val();
var m_type = $('#m_type').val();
var design_id = $('#design_id').val();
var design_qty = $('#design_qty').val();
var vendor_name = $('#vendor_name').val();
var v_designcode = $('#v_designcode').val();


var flag = 0;


if(p_cate==""){

$('#p_cate').next('.select2').find('.select2-selection--single').css('border-color', '#e85c5c');

$('#con-alrt').show();

flag++;

}
else{

$('#p_cate').next('.select2').find('.select2-selection--single').css('border-color', '');
}


if(m_type==""){

$('#m_type').css('border-color', '#e85c5c');

$('#con-alrt').show();

flag++;

}
else{

$('#m_type').css('border-bottom-color', '');
}

if(design_id==""){

$('#design_id').css('border-color', '#e85c5c');

$('#con-alrt').show();

flag++;

}
else{

$('#design_id').css('border-bottom-color', '');
}



if(design_qty==""){

$('#design_qty').css('border-color', '#e85c5c');

$('#con-alrt').show();

flag++;

}
else{

$('#design_qty').css('border-bottom-color', '');
}




if(vendor_name==""){

$('#vendor_name').css('border-color', '#e85c5c');

$('#con-alrt').show();

flag++;

}
else{

$('#vendor_name').css('border-bottom-color', '');

$('#con-alrt').hide();
}


if(v_designcode==""){

$('#v_designcode').css('border-color', '#e85c5c'); 

flag++;

}
else{

$('#v_designcode').css('border-bottom-color', '');

}



if(flag>0){

return false ;

}



else{

var data = {
    p_cate: p_cate,
    design_id: design_id,
    m_type: m_type,
    design_qty: design_qty,
    vendor_name: vendor_name,
    v_designcode: v_designcode,
};

$.ajax({
  url:'ajax-add-temp-pro.php',
  type:'POST',
 data: data,
  success:function(f){

window.location.href="add_product_new.php?i="+btoa(f);

  }

  }); 

}

}

function remove_error(){

$('.err').css('border-color', '');

$('.label.ui.selection.fluid.dropdown.multiple').css('border-bottom-color', '');

$('#p_cate').next('.select2').find('.select2-selection--single').css('border-color', '');


}



</script>



<script type="text/javascript">
  

// $(document).ready(function(){

// $("input").on('input',function(){

// $('.err').css('border-bottom-color', '');

// });

// });


</script>


<!-- -=---- searchable dropdown link script ------ -->

<link href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css" rel="stylesheet" />
<link href="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.css" rel="stylesheet" />

<script src="https://code.jquery.com/jquery-3.1.1.min.js"integrity="sha256-hVVnYaiADRTO2PzUGmuLJr8BLUSjGIZsDYGmIJLv2b8=" crossorigin="anonymous">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/semantic-ui/2.4.1/semantic.min.js"></script>
<script>
        $('.ui.dropdown').dropdown();
</script>
<script src="https://code.jquery.com/jquery-3.6.0.js"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>

    <!-- -=---- searchable dropdown link script ------ -->
 
<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
<script>
  function formatState (state) {
  if (!state.id) {
    return state.text;
  }

  var baseUrl = "/user/pages/images/flags";
  var $state = $(
    '<span><img class="img-flag" /> <span></span></span>'
  );

  // Use .text() instead of HTML string concatenation to avoid script injection issues
  $state.find("span").text(state.text);
  // $state.find("img").attr("src", baseUrl + "/" + state.element.value.toLowerCase() + ".png");

  return $state;
};


$("#p_cate").select2({
  templateSelection: formatState
});

</script>

<script>
  

function get_design_code(){

var p_cate = $('#p_cate').val();
var m_type = $('#m_type').val();



$.ajax({
url:'ajax-get-design-code.php',
type:'POST',
data:{p_cate:p_cate,m_type:m_type},
success:function(f){

$('#design_id').html(f);

}
});


}


function get_data(){

var p_cate = $('#p_cate').val();
var m_type = $('#m_type').val();
var design_id = $('#design_id').val();


if(design_id==""){

$('#design_details_div').html('');

}

if(design_id!=""){

$.ajax({
url:'ajax-get-design-data.php',
type:'POST',
data:{design_id:design_id},
success:function(f){

$('#design_details_div').html(f);

}
});

}

else{

$('#design_details_div').html('');

}

}

function product_form_valid(per) {
    let count = Number(per) - 1;
    let new_id = $('#new_id').val();

    let g_weights = [];
    let d_carats = [];
	let s_carats = [];
    let igi_nos = [];
    let hm_nos = [];

    for (let i = 1; i <= count; i++) {
        let g_weight = $('#g_weight' + i).val();
        let d_carat = $('#d_carat' + i).val();
		let s_carat = $('#s_carat' + i).val();
        let igi_no = $('#igi_no' + i).val();
        let hm_no = $('#hm_no' + i).val();

        if (g_weight) g_weights.push(g_weight);
        if (d_carat) d_carats.push(d_carat);
		if (s_carat) s_carats.push(s_carat);
        if (igi_no) igi_nos.push(igi_no);
        if (hm_no) hm_nos.push(hm_no);
    }

    if (g_weights.length < count || d_carats.length < count || s_carats.length < count) {
        Swal.fire({
            icon: 'warning',
            title: 'Check Again!',
            text: "Please provide information in all the required fields.",
            width: '450px',
            background: '#045b62',
            color: '#fff',
            confirmButtonText: 'Ok',
            confirmButtonColor: "#013033",
            showConfirmButton: true,
        });
        return;
    }

    $.ajax({
        url: 'ajax-final-add-product.php',
        type: 'POST',
        data: {
            g_weights: g_weights,
            d_carats: d_carats,
			s_carats: s_carats,
            igi_nos: igi_nos,
            hm_nos: hm_nos,
            new_id: new_id,
            count: count
        },
        success: function(response) {

            //alert(response);
            
            Swal.fire({
icon: 'success',
title: 'Success',
text: 'Product added successfully',
width: '450px',
showConfirmButton:false,
timer:3000,
}).then(function() {
window.location.href="add_product_new.php";
});
            

        }
    });
}

</script>


</body>
</html>